# avdeinterlace

Deinterlace video

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──avdeinterlace

## Factory details

Authors: – Luca Ognibene

Classification: – `Filter/Effect/Video/Deinterlace`

Rank – none

Plugin – libav

Package – GStreamer FFMPEG Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: I420
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: I420
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### mode

    “mode” Lib-avdeinterlace-modes *

This selects whether the deinterlacing methods should always be applied or if they should only be applied on content that has the "interlaced" flag on the caps.

Flags : Read / Write

Default value : auto (0)

Since : 0.10.13

## Named constants

### Lib-avdeinterlace-modes

#### Members

`auto` (0) – Auto detection
`interlaced` (1) – Force deinterlacing
`disabled` (2) – Run in passthrough mode

The results of the search are